scala_2.11.8-2_all.deb


Advertisement

Description

scala - Scala programming language

Distribution: Debian Sid
Repository: Debian Main i386
Package name: scala
Package version: 2.11.8
Package release: 2
Package architecture: all
Package type: deb
Installed size: 15.44 KB
Download size: 13.52 MB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

    Download

    Binary package: scala_2.11.8-2_all.deb
    Source package: scala

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install scala deb package:
      # sudo apt-get install scala

    Changelog

    2017-09-21 - Emmanuel Bourg <ebourg@apache.org> scala (2.11.8-2) unstable; urgency=medium * Team upload. [ Mehdi Dogguy ] * Remove myself from Uploaders [ Emmanuel Bourg ] * Build with the Aether Ant tasks instead of the Maven Ant tasks * Added the missing Maven rule for jline (Closes: #853733) * Switch to debhelper level 10 * Standards-Version updated to 4.1.0

    2016-08-08 - Emmanuel Bourg <ebourg@apache.org> scala (2.11.8-1) unstable; urgency=medium * Team upload. * New upstream release - Refreshed the patches - New dependency on scala-asm - New build dependency on libjarjar-java - Use the 'debian' version of scala-xml and scala-parser-combinators * Fixed the GitHub links in the API documentation * Replaced the Git date/hash in the osgi version with 'unknown' * Removed 0002-Use-system-ant-contrib.jar.patch (ant-contrib is already on the Ant classpath) * debian/rules: Remove the log files left by the test suite * Standards-Version updated to 3.9.8 * Use a secure Vcs-Git URL * Improved the description for scala-library and scala-doc

    2015-12-21 - Emmanuel Bourg <ebourg@apache.org> scala (2.11.6-6) unstable; urgency=medium * Team upload. * Fixed the build failure with bnd > 2.1.0

    2015-12-16 - Markus Koschany <apo@debian.org> scala (2.11.6-5) unstable; urgency=medium * Team upload. * Use scala's version of jquery and jquery-ui. Revert the switch to Debian's version of jquery and jquery-ui because the documentation would be less useful otherwise.

    2015-12-16 - Markus Koschany <apo@debian.org> scala (2.11.6-4) unstable; urgency=medium * Team upload. * debian/copyright: Add the missing Apache 2.0 licensed files. Thanks to Thorsten Alteholz for the report. (Closes: #808045) * Install all Scala API documentation. (Closes: #800376) Thanks to Taran Lynn for the report. * Replace jquery.js and jquery-ui.js with Debian's system libraries again.

    2015-11-17 - Markus Koschany <apo@debian.org> scala (2.11.6-3) unstable; urgency=medium * Team upload. * Avoid a source upload due to bug #805228.

    2015-11-16 - Markus Koschany <apo@debian.org> scala (2.11.6-2) unstable; urgency=medium * Team upload. [ Emmanuel Bourg ] * Set the home directory when building to fix a build failure with pbuilder >= 0.220. [ Markus Koschany ] * Add local-repository.patch and define the localRepository variable explicitly, otherwise the /nonexistent home directory will be used which causes a FTBFS. * Fix Lintian warning missing-license-paragraph-in-dep5-copyright. * Add bnd-2.1.0.patch and make the package compatible with the latest version of bnd.

    2015-06-19 - Emmanuel Bourg <ebourg@apache.org> scala (2.11.6-1) unstable; urgency=medium * Team upload. * New upstream release (Closes: #706633, #750464, #760930) - Refreshed the patches - Added new dependencies on scala-xml and scala-parser-combinators - Removed 0001-Define-system-locations.patch (obsolete) - Removed 0005-java7-compilation.patch (fixed upstream) - Depend on libjline2-java instead of building an embedded copy of jline - Require a Java 7+ runtime - Refreshed debian/copyright - Adapted debian/orig-tar.sh for Scala 2.11 * Preliminary changes to allow the installation of multiple version of Scala - Added a 'scala' alternative - Install the files under /usr/share/scala-2.11 and follow the layout of the upstream distribution - Added a /usr/share/scala link pointing to the default version - Added symlinks in /usr/share/java with the major Scala version (e.g. scala-library-2.11.jar) - Install the documentation under /usr/share/doc/scala-2.11. * Install the scaladoc of the reflection API * Removed the JRE dependency of the scala-library package * Build depend on scala (>= 2.11) * Install the Maven artifacts for scala-actors and scala-reflect * The package has been adopted by the Java Team (Closes: #754935)

    Advertisement
    Advertisement